Bug 197113 - hangs w/ diskio and quota updates
hangs w/ diskio and quota updates
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Kernel Manager
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-28 12:58 EDT by Ken Marquess
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-13 08:53:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
qtwiddle2_jnl.c, stress_jnl.py, stresstst_jnl.c (20.00 KB, application/octet-stream)
2006-06-28 12:58 EDT, Ken Marquess
no flags Details

  None (edit)
Description Ken Marquess 2006-06-28 12:58:39 EDT
Description of problem: We have 19 IMAP servers supporting 86000 faculty and
staff. We are getting intermitteng hangs that require a reboot.


Version-Release number of selected component (if applicable):
 Red Hat Enterprise Linux AS release 3 (Taroon Update 7)

How reproducible: We have a test system where we induce disk io load and
quota updates, which has an MTBF under 20 minutes; under 10 minutes is
common.


Steps to Reproduce:
1.Run program simulating high multiprocess disk load: 'stress_jnl.py'
2.Run program updating quotas: 'qtwiddle2_jnl -n 20000 -s 1'
3.Wait for hang
  
Actual results:
The system hangs, i.e. accepts no console input other than SysRq.


Expected results:
The system would continue to run.


Additional info:
We have tried the patch mentioned in bug # 122252 but still hang.
We can provide account on test box if needed.
Comment 1 Ken Marquess 2006-06-28 12:58:39 EDT
Created attachment 131683 [details]
qtwiddle2_jnl.c, stress_jnl.py, stresstst_jnl.c
Comment 2 Ernie Petrides 2006-06-28 18:46:36 EDT
RHEL3 is now closed.
Comment 3 Prarit Bhargava 2007-09-13 08:53:50 EDT
Closing re: Comment #2.

P.

Note You need to log in before you can comment on or make changes to this bug.